MinFilter Struct Reference

`#include <Resample.h>`

Inheritance diagram for MinFilter:

## Public Types

typedef boost::shared_ptr< const MinFilter > | CPtr
typedef boost::shared_ptr< MinFilter > | Ptr
Public Types inherited from Filter
typedef boost::shared_ptr< const Filter > | CPtr
typedef boost::shared_ptr< Filter > | Ptr

## Public Member Functions

virtual float | eval (const float x) const
| Evaluates the filter at coordinate 't'.
virtual float | initialValue () const
| Initial value (zero by default, but need to be different for min/max).
| MinFilter ()
| MinFilter (const float width)
virtual float | support () const
| Radial width of the filter (half of diameter).

## Static Public Member Functions

template<typename T>
static void | op (Imath::Vec3< T > &accumValue, const Imath::Vec3< T > value)
template<typename Value_T>
static void | op (Value_T &accumValue, const Value_T value)

## Static Public Attributes

static const bool | isAnalytic = true

## Private Attributes

const float | m_width

## Detailed Description

Definition at line 153 of file Resample.h.

## Member Typedef Documentation

## Ptr

typedef boost::shared_ptr<MinFilter> MinFilter::Ptr

Definition at line 156 of file Resample.h.

## CPtr

typedef boost::shared_ptr<const MinFilter> MinFilter::CPtr

Definition at line 157 of file Resample.h.

## Constructor & Destructor Documentation

## MinFilter() [1/2]

MinFilter::MinFilter | ( |  | ) |

inline

Definition at line 162 of file Resample.h.

: m_width(1.0)
{ }
MinFilter::m_width
const float m_width
Definition Resample.h:202

References m_width.

## MinFilter() [2/2]

MinFilter::MinFilter | ( | const float | width | ) |

inline

Definition at line 165 of file Resample.h.

: m_width(width)
{ }

References m_width.

## Member Function Documentation

## eval()

virtual float MinFilter::eval | ( | const float | t | ) | const

inline virtual

Evaluates the filter at coordinate 't'.

Implements Filter.

Definition at line 169 of file Resample.h.

{
const float t = x / m_width;
if (t <= 0.5f) {
return 1.0f;
} else {
return 0.0f;
}
}

References m_width.

## support()

virtual float MinFilter::support | ( |  | ) | const

inline virtual

Radial width of the filter (half of diameter).

Implements Filter.

Definition at line 178 of file Resample.h.

{
return 0.5f * m_width;
}

References m_width.

## initialValue()

virtual float MinFilter::initialValue | ( |  | ) | const

inline virtual

Initial value (zero by default, but need to be different for min/max).

Reimplemented from Filter.

Definition at line 182 of file Resample.h.

{
return std::numeric_limits<float>::max();
}

## op() [1/2]

template<typename T>

void MinFilter::op | ( | Imath::Vec3< T > & | accumValue,
|  | const Imath::Vec3< T > | value )

inline static

Definition at line 188 of file Resample.h.

{
accumValue.x = std::min(accumValue.x, value.x);
accumValue.y = std::min(accumValue.y, value.y);
accumValue.z = std::min(accumValue.z, value.z);
}

## op() [2/2]

template<typename Value_T>

void MinFilter::op | ( | Value_T & | accumValue,
|  | const Value_T | value )

inline static

Definition at line 196 of file Resample.h.

{
accumValue = std::min(accumValue, value);
}

## Member Data Documentation

## isAnalytic

const bool MinFilter::isAnalytic = true

static

Definition at line 159 of file Resample.h.

## m_width

const float MinFilter::m_width

private

Definition at line 202 of file Resample.h.

Referenced by eval(), MinFilter(), MinFilter(), and support().

The documentation for this struct was generated from the following file:

- export/Resample.h